Bug 2714 - PDF Reader: Page up should go to Bottom of Previous Page (instead of Top)
: PDF Reader: Page up should go to Bottom of Previous Page (instead of Top)
Status: RESOLVED WONTFIX
Product: Utilities
PDF reader
: 5.0-beta
: All Maemo
: Low enhancement with 1 vote (vote)
: ---
Assigned To: unassigned
: pdf-reader-bugs
:
: community-diablo, patch
:
:
  Show dependency tree
 
Reported: 2008-01-05 18:50 UTC by Walt Bilofsky
Modified: 2012-03-24 11:43 UTC (History)
4 users (show)

See Also:


Attachments
PDF Reader -Paging up goes to top of Prev Page (10.35 KB, patch)
2008-08-26 06:32 UTC, yanghua
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Walt Bilofsky (reporter) 2008-01-05 18:50:50 UTC
At the top of a page, hitting the top four-way key should
scroll up to the bottom of the previous page.

At present it goes to the top of the previous page.

(See also Bug 2703.)
Comment 1 Neil MacLeod maemo.org 2008-05-04 00:09:05 UTC
In Adobe Reader on the desktop, you can display the PDF either in "Single Page"
or "Single Page Continuous" mode. It seems to me that the Maemo PDF reader is
always operating in "Single Page" mode and "Single Page Continuous" should be
added along with the option for the user to choose their preferred Page Display
mode (ie. either Single Page or Singe Page Continuous).
Comment 2 yanghua 2008-08-26 06:32:22 UTC
Created an attachment (id=906) [details]
PDF Reader -Paging up goes to top of Prev Page

Now hitting the top four-way key should scroll up to the bottom of the previous
page.And there is a enhancement that ,i have add a "display page continue "menu
option in the "View" menu,that when click it ,we can drag the pdf  vertical
srcollbar to jump to the top of next page or the bottom of the previous page.
Comment 3 Andre Klapper maemo.org 2008-10-22 14:02:32 UTC
Hua.Yang: Can you please provide a clean patch without any indention changes,
without your commented debug code, and without clutter lines like
  -    {
  +    {    
?

> -void on_screen_scroll(GtkAdjustment * adjustment, gpointer user_data);
> +int on_screen_scroll(GtkAdjustment * adjustment, gpointer user_data);
Please explain why this change is needed.

Please also provide a ChangeLog entry diff explaining what the patch exactly
does.
Comment 4 Andre Klapper maemo.org 2008-11-17 00:55:28 UTC
Hua.Yang: Can you please provide a clean patch as described in my last comment?
Comment 5 Andre Klapper maemo.org 2008-11-17 01:19:24 UTC
Also note that the 3rd party port of Evince provides this functionality:
http://maemo.org/downloads/product/OS2008/evince/
Comment 6 Andre Klapper maemo.org 2009-03-26 12:47:59 UTC
Fremantle Spec does not clearly define the behaviour, it just says
"The user presses the “next page” or “previous page” button and the application
switches the page. The user presses the “first page” or “last page” button and
the application switches the page."

So I assume that there is no change in behaviour for Fremantle.
Comment 7 Andre Klapper maemo.org 2009-04-01 20:08:42 UTC
...and hence it's simply not defined, which makes this an enhancement request,
though a VERY useful one.
Comment 8 Andre Klapper maemo.org 2009-06-22 23:36:21 UTC
Hua.Yang: Can you please provide a clean patch?

This is still valid in Fremantle. --> Updating version field.
Comment 9 Lucas Maneos 2009-10-22 07:57:01 UTC
Marking patches of interest to Diablo (Maemo4) community updates, please excuse
the noise.
Comment 10 Andre Klapper maemo.org 2012-03-24 11:43:55 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )